View Issue Details

IDProjectCategoryView StatusLast Update
14047Bug reports[All Projects] Survey designpublic2019-06-04 11:36
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.16.x 
Target VersionFixed in Version4.0.0dev 
Summary14047: Equation didn't update previous text
Description

If you have an equation before text to update : it's OK
But if it's after text to update : it's not OK

Steps To Reproduce

Import included survey ( survey used in https://github.com/LimeSurvey/LimeSurvey/blob/01de6ed58852875d5b8eb2dba8f3c0d00c0a9475/tests/surveys/AutoCalcTest.php#L11 bu reordering)
Enter 90 in weight
Enter 50 (and STOP ALL action, blur for example fix the issue) see 253.08 in BMI result
Blur, move out of input : see 25.308 in BMI result (unable to do a screenshot :! since enter PrintScreen key blur out the input)

Additional Information

Since https://github.com/LimeSurvey/LimeSurvey/commit/a9daeeabbdaeaacaa19f0c94f7ed60b00a3b7691
Equation question type function happen for all other question.
But order of each function depend of order of … question ?
Then reorder differently broke this behaviour

Strangely : develop function order seem broken somewhere, but this show the issue :
https://travis-ci.org/LimeSurvey/LimeSurvey/builds/426585845?utm_source=github_status&utm_medium=notification
from https://github.com/LimeSurvey/LimeSurvey/pull/1105 (before next fix)

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.14.8 github
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Versionmariadb
Server OS (if known)debian
Webserver software & version (if known)apache2
PHP VersionPHP5.6

Relationships

related to 13317 closedDenisChenu Equationquestion reference not directly updated in piped text. 
parent of 14958 resolvedDenisChenu Javascript loop with equation 
has duplicate 14183 closedDenisChenu Using the result of an equation in further questions (text / relevance) 

Activities

DenisChenu

DenisChenu

2018-09-11 15:07

developer  

limesurvey_survey_equationAfterText.lss (25,284 bytes)
DenisChenu

DenisChenu

2018-09-11 15:08

developer   ~49008

I fix it ONLY in develop, since already use same fix

DenisChenu

DenisChenu

2018-09-11 15:39

developer   ~49009

Last edited: 2018-09-11 15:54

View 2 revisions

Hope this one fix the travis issue + this issue
https://github.com/LimeSurvey/LimeSurvey/pull/1105/commits/876fa8c950e5e398ea46283697f18e0298c271a3

Revert partially : https://github.com/LimeSurvey/LimeSurvey/commit/a9daeeabbdaeaacaa19f0c94f7ed60b00a3b7691

user70560

2018-09-26 17:28

  ~49149

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28033

c_schmitz

c_schmitz

2019-04-30 09:12

administrator   ~51671

Fixed in Version 3.1.7.3

Related Changesets

LimeSurvey: develop 9c055e54

2018-09-26 17:28:38

user70560


Committer: GitHub Details Diff
Fixed issue 13001: EM evaluates free text answers enclosed by "{ }"

Dev: Fixed issue 13913: Some replacementfieds not accessible in help-text
Fixed issue 14047: Equation didn't update previous text
Affected Issues
13001, 13913, 14047
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/views/survey/questions/answer/arrays/10point/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/10point/rows/cells/answer_td_input.twig Diff File
mod - application/views/survey/questions/answer/arrays/5point/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/5point/rows/cells/answer_td_answertext.twig Diff File
mod - application/views/survey/questions/answer/arrays/5point/rows/cells/answer_td_input.twig Diff File
mod - application/views/survey/questions/answer/arrays/array/dropdown/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/array/no_dropdown/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/array/no_dropdown/rows/cells/answer_td.twig Diff File
mod - application/views/survey/questions/answer/arrays/column/answer.twig Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer.twig Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer_dropdown.twig Diff File
mod - application/views/survey/questions/answer/arrays/dualscale/answer_header.twig Diff File
mod - application/views/survey/questions/answer/arrays/increasesamedecrease/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/answer.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/cells/answer_td.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/cells/answer_td_checkboxes.twig Diff File
mod - application/views/survey/questions/answer/arrays/multiflexi/rows/repeat_header.twig Diff File
mod - application/views/survey/questions/answer/arrays/texts/answer.twig Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/cells/answer_td.twig Diff File
mod - application/views/survey/questions/answer/arrays/texts/rows/repeat_header.twig Diff File
mod - application/views/survey/questions/answer/arrays/yesnouncertain/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/date/selector/answer.twig Diff File
mod - application/views/survey/questions/answer/equation/answer.twig Diff File
mod - application/views/survey/questions/answer/file_upload/answer.twig Diff File
mod - application/views/survey/questions/answer/global/table/cell/head_header.twig Diff File
mod - application/views/survey/questions/answer/global/table/cell/head_information.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/optgroup.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/option.twig Diff File
mod - application/views/survey/questions/answer/list_dropdown/rows/othertext.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/dropdown/answer.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/dropdown/rows/option.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/answer.twig Diff File
mod - application/views/survey/questions/answer/list_with_comment/list/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/listradio/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplechoice_with_comments/rows/answer_row_other.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/dynamic_slider.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/input/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multiplenumeric/rows/sliders/answer_row.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/rows/answer_row_inputtext.twig Diff File
mod - application/views/survey/questions/answer/multipleshorttext/rows/answer_row_textarea.twig Diff File
mod - application/views/survey/questions/answer/numerical/answer.twig Diff File
mod - application/views/survey/questions/answer/ranking/answer.twig Diff File
mod - application/views/survey/questions/answer/ranking/rows/answer_row.twig Diff File
mod - application/views/survey/questions/answer/shortfreetext/text/item.twig Diff File
mod - application/views/survey/questions/answer/shortfreetext/textarea/item.twig Diff File
mod - assets/packages/expressions/em_javascript.js Diff File
mod - tests/data/surveys/limesurvey_survey_351443.lss Diff File

Issue History

Date Modified Username Field Change
2018-09-11 15:07 DenisChenu New Issue
2018-09-11 15:07 DenisChenu Status new => assigned
2018-09-11 15:07 DenisChenu Assigned To => DenisChenu
2018-09-11 15:07 DenisChenu File Added: limesurvey_survey_equationAfterText.lss
2018-09-11 15:08 DenisChenu Note Added: 49008
2018-09-11 15:39 DenisChenu Note Added: 49009
2018-09-11 15:48 DenisChenu Relationship added related to 13317
2018-09-11 15:54 DenisChenu Note Edited: 49009 View Revisions
2018-09-26 17:28 user70560 Changeset attached => LimeSurvey develop 9c055e54
2018-09-26 17:28 user70560 Note Added: 49149
2018-09-26 17:28 user70560 Assigned To DenisChenu => user70560
2018-09-26 17:28 user70560 Resolution open => fixed
2018-09-26 18:30 DenisChenu Assigned To user70560 => DenisChenu
2018-09-26 18:30 DenisChenu Status assigned => resolved
2018-09-26 18:30 DenisChenu Fixed in Version => 4.0.0dev
2018-10-25 15:21 DenisChenu Relationship added has duplicate 14183
2019-04-30 09:12 c_schmitz Note Added: 51671
2019-04-30 09:12 c_schmitz Status resolved => closed
2019-06-04 11:36 DenisChenu Relationship added parent of 14958